/*
 *	my_event_handler()	-	handles events
 *
 *	RCS:
 *		$Revision$
 *		$Date$
 *
 *	Security:
 *		Unclassified
 *
 *	Description:
 *		This function handles Pointer Motion and Button Press event
 *
 *	Input Parameters:
 *		type	identifier	description
 *
 *		text
 *
 *	Output Parameters:
 *		type	identifier	description
 *
 *		text
 *
 *	Return Values:
 *		value	description
 *
 *	Side Effects:
 *		text
 *
 *	Limitations and Comments:
 *		text
 *
 *	Development History:
 *		when	who		why
 *	11/7/93,	mm,		first cut
 */

#include "xhead.h"
#include "mxcmap.h"
extern Pixmap
	backpix;

void my_event_handler (w, data, event)
Widget w;
XtPointer data;
XEvent *event;
{
	static KeySym keys;
	static XComposeStatus compose;
	static int xb,yb;
	Arg args[20];
	int n;
	char buf[256];
	char rgbStr[100],
		pixelStr[100];
	unsigned long
		pixel;
	XColor
		color;

	switch (event->type)
	{
		case KeyPress:
		XLookupString ((XKeyEvent *) event, buf, 10, &keys, &compose);
		switch (keys)
		{
			case XK_n:
			break;

			case XK_N:
			break;
			
			case XK_p:
			case XK_b:
			break;

			case XK_Return:
			case XK_KP_Enter:
			break;
			
		}
		
		/*
		** process Button press only if Zoom Window is up
		*/

		case ButtonPress:
			switch (event->xbutton.button)
			{
				case Button1:
          	xb = event->xbutton.x;
            yb = event->xbutton.y;

			if (image == (XImage *) NULL)
			{
            	image = XGetImage (display_h, backpix,
               		 0,0,512,512,XAllPlanes(),ZPixmap);
			}

			if (image == (XImage *) NULL)
			{
				fprintf (stderr, "Failed to Get XImage\n");
				exit(1);
			}
            pixel = XGetPixel (image, xb,yb);
            sprintf(pixelStr, "%d",(int) pixel);
            color.pixel = pixel;
            XQueryColor (display_h, colormap_h, &color);
            sprintf(rgbStr, " %d %d %d",color.red/256,
                color.green/256, color.blue/256);
            n = 0;
            XtSetArg (args[n], XmNvalue, pixelStr);   n++;
            XtSetValues (w_special[PIXELVALUE_W],args,n);

            n = 0;
            XtSetArg (args[n], XmNvalue, rgbStr);   n++;
            XtSetValues (w_special[RGBVALUE_W],args,n);

				break;

				case Button2:
				break;

				case Button3:
				break;
				default:
					break;
			}
			
	/* bad idea to get RGB values..it's terribly slow uses
	 * server resources like a hog..so better not use it
	 */
	/*		xb = event->xbutton.x;
			yb = event->xbutton.y;
			
			image = XGetImage (display_h, backpix,
				xb,yb,2,2,XAllPlanes,ZPixmap);

			pixel = XGetPixel (image, xb,yb);
			XDestroyImage(image);
			sprintf(pixelStr, "%d",pixel);
			color.pixel = pixel;
			XQueryColor (display_h, colormap_h, &color);
			sprintf(rgbStr, " %d %d %d",color.red/256, 
				color.green/256, color.blue/256);
			n = 0;
			XtSetArg (args[n], XmNvalue, rgbStr);	n++;
			XtSetValues (w_special[RGBVALUE_W],args,n);
		break;*/
		
/*		case MotionNotify:
			x = event->xmotion.x;
			y = event->xmotion.y;
			sprintf(co_ordinate," %d,%d",x,y);
			n = 0;
			XtSetArg (args[n],XmNvalue,co_ordinate);n++;
			XtSetValues (w_special[PIXELVALUE_W],args,n);
*/
	}
}
