/*
 *	Version_Show()	-	description
 *
 *	RCS:
 *		$Revision$
 *		$Date$
 *
 *	Security:
 *		Unclassified
 *
 *	Description:
 *		text
 *
 *	Input Parameters:
 *		type	identifier	description
 *
 *		text
 *
 *	Output Parameters:
 *		type	identifier	description
 *
 *		text
 *
 *	Return Values:
 *		value	description
 *
 *	Side Effects:
 *		text
 *
 *	Limitations and Comments:
 *		text
 *
 *	Development History:
 *		when	who		why
 */
#include "xhead.h"
#include "mxcmap.h"

#define star_width 16
#define star_height 16
static char star_bits[] = {
   0xff, 0xff, 0x7f, 0xff, 0x7f, 0xff, 0x77, 0xf7, 0x6f, 0xfb, 0x5f, 0xfd,
   0xbf, 0xfe, 0xc1, 0xc1, 0xbf, 0xfe, 0x5f, 0xfd, 0x6f, 0xfb, 0x77, 0xf7,
   0x7f, 0xff, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff};

void
Version_Show (w, client_data, call_data)
Widget
    w;
XtPointer
    client_data;
XtPointer
    call_data;
{
	static Widget base_form2,
				  rc,
				  left,
				  heading,
				  icon,
				  separator,
				  closeb,
				  titles;

	Pixel fg, bg;
	Pixmap pixmap;
	XmString close_str;



	if (!base_form2) {

	base_form2 = XmCreateFormDialog (GetTopShell (w),
				"Version Display",
				NULL,0);
	
	XtVaSetValues (XtParent(base_form2),
				XtNtitle,	"Version Display",
				NULL);
	XtVaSetValues (base_form2,
				XmNfractionBase, 7,
				NULL);


	rc = XtVaCreateWidget ("rc", 
				xmRowColumnWidgetClass, base_form2,
				XmNorientation, XmHORIZONTAL,
				NULL);
	left = XtVaCreateWidget (NULL, 
				xmRowColumnWidgetClass, rc,
				NULL);

	heading = XtVaCreateWidget ("heading", 
				xmFormWidgetClass, left,
				NULL);

	XtVaGetValues (heading, 
				XmNforeground, &fg,
				XmNbackground, &bg,
				NULL);

/*	pixmap = XCreatePixmapFromBitmapData ( XtDisplay(heading),
				RootWindowOfScreen(XtScreen(heading)),
				semcor_logo_bits, semcor_logo_width,
				semcor_logo_height,
				fg, bg, DefaultDepthOfScreen(XtScreen(heading)));*/
				
	pixmap = XCreatePixmapFromBitmapData ( XtDisplay(heading),
				RootWindowOfScreen(XtScreen(heading)),
				star_bits, star_width,
				star_height,
				fg, bg, DefaultDepthOfScreen(XtScreen(heading)));

	icon = XtVaCreateManagedWidget ("mcmap.icon", 
				xmLabelGadgetClass, heading,
				XmNleftAttachment,	XmATTACH_FORM,
				XmNlabelType,		XmPIXMAP,
				XmNlabelPixmap,		pixmap,
				XmNalignment,		XmALIGNMENT_END,
				NULL);
	
	titles = XtVaCreateWidget (NULL,
				xmRowColumnWidgetClass, heading,
				XmNrightAttachment,		XmATTACH_FORM,
				XmNleftAttachment,		XmATTACH_WIDGET,
				XmNleftWidget,			icon,
				XmNtopAttachment,		XmATTACH_FORM,
				XmNbottomAttachment,	XmATTACH_FORM,
				NULL);
	XtVaCreateManagedWidget ("mxcmap $ Release 1.1 $", 
		xmLabelGadgetClass, titles, NULL);
	XtVaCreateManagedWidget ("Shows contents of the default Colormap", 
		xmLabelGadgetClass, titles, NULL);
	XtVaCreateManagedWidget ("(c) 1994 By Muhammad A Muquit (muquit@semcor.com)",
		xmLabelGadgetClass, titles, NULL);

	XtVaCreateManagedWidget ("[Cube Idea is adapted from xcol]", 
		xmLabelGadgetClass, titles, NULL);

	/*Create a separator*/

	separator = XtVaCreateWidget ("Separator",
				xmSeparatorWidgetClass, base_form2,
				XmNtopAttachment,	XmATTACH_WIDGET,
				XmNtopWidget,	rc,
				XmNtopOffset,	5,
				XmNleftAttachment,	XmATTACH_FORM,
				XmNrightAttachment,	XmATTACH_FORM,
				NULL);

	close_str = XmStringCreateSimple ("CLOSE");
	closeb = XtVaCreateManagedWidget ("CLOSE",
				xmPushButtonWidgetClass, base_form2,
				XmNlabelString, close_str,
				XmNtopAttachment,	XmATTACH_WIDGET,
				XmNtopWidget,		separator,
				XmNtopOffset,		10,
				XmNbottomAttachment,	XmATTACH_FORM,
				XmNbottomOffset,	10,
				XmNleftAttachment,	XmATTACH_POSITION,
				XmNleftPosition,	3,
				XmNrightAttachment,	XmATTACH_POSITION,
				XmNrightPosition,	4,
				NULL);

	XmStringFree (close_str);

	XtManageChild (rc);
	XtManageChild (left);
	XtManageChild (titles);
	XtManageChild (heading);
	XtManageChild (separator);

}	
	XtManageChild (base_form2);
}	
