/*
 *	resize_backpix()	- creates backpix pixmap for redrwaing 
 *							
 *	refresh_from_backpix() - refresh from backpix  
 *
 *	RCS:
 *		$Revision$
 *		$Date$
 *
 *	Security:
 *		Unclassified
 *
 *	Description:
 *		text
 *
 *	Input Parameters:
 *		type	identifier	description
 *
 *		text
 *
 *	Output Parameters:
 *		type	identifier	description
 *
 *		text
 *
 *	Return Values:
 *		value	description
 *
 *	Side Effects:
 *		text
 *
 *	Limitations and Comments:
 *		text
 *
 *	Development History:
 *		when	who		why
 * 10/26/93, mm, first cut...hope it will decrease expose event
 */

#include "xhead.h"
#include "mxcmap.h"

extern Pixmap 
	backpix;

void resize_backpix(win_w,win_h)
int win_w;
int win_h;
{

	if (backpix != (Pixmap) NULL)
	{

#ifdef DEBUG
fprintf (stderr, "Freeing Pixmap..\n");
#endif

		XFreePixmap (display_h, backpix);
	}
	backpix = XCreatePixmap (display_h, DefaultRootWindow (display_h),
		win_w, win_h, DisplayPlanes (display_h, DefaultScreen(display_h)));

   if (backpix == (Pixmap) NULL)
   {
        (void) fprintf (stderr,"Failed to create Pixmap!!\n");
        exit(1);
   }
}

void 
refresh_from_backpix(window,win_w, win_h,xorig,yorig)
Window window;
int win_w;
int win_h;
int xorig;
int yorig;
{
	if (backpix != (Pixmap) NULL)
	{
		XCopyArea (display_h, backpix, window, gc_h, xorig,yorig,
			win_w, win_h,xorig,yorig);
	}
}
