#include "xhead.h"
#define MAIN
#include "mxcmap.h"
#include "mqtools.h"


Pixmap	
	backpix=(Pixmap)NULL;

static char *app_defaults[] =
{
#include "Mxcmap.ad.h"
NULL
};

void main (argc,argv)

int
	argc;

char	
	**argv;
{

XtAppContext	app;
int					i;
int					n;

int
    cells;

Widget
	toplevel,
	main_w,
	form,
	rcform,
	redraw,
	scrollw,
	drawinga,
	pixelLabel,
	pixelValue,
	rgbLabel,
	rgbValue,
	about,
	menubar;


extern MENUITEM
	file_items[];

Arg				args[20];


    /*
    ** Initialize Globals -starts-
    */
    
    for (i=0; i < NUM_WIDGETS; i++)
        w_special[i] = (Widget)NULL;

    GdrawingaW = (Widget) NULL;

    /*
    ** Initialize Globals -ends-
    */

	toplevel = XtVaAppInitialize (&app, "MXcmap",
		NULL, 0, &argc, argv, app_defaults, NULL);

	w_special[TOPLEVEL_W] = toplevel;

	XtVaSetValues (toplevel,
		XmNallowShellResize, True,
		NULL);

	display_h   = XtDisplay (w_special[TOPLEVEL_W]);
	screen_h    = DefaultScreen (display_h);
	colormap_h  = DefaultColormap (display_h, screen_h);
	gc_h        = DefaultGC (display_h, screen_h);
	image		= (XImage *) NULL;

    cells = XDisplayCells (display_h, XDefaultScreen(display_h));

    if (cells > 256)
    {
        (void) fprintf (stderr,
            "\nSorry! this program works with <= 8 bit deep displays only!\n\n");
         exit(1);
    }

	main_w = XtVaCreateManagedWidget ("main_window",
		xmMainWindowWidgetClass,		toplevel,
		NULL);


	menubar = XmCreateMenuBar (main_w, "Menubar", NULL, 0);

	(void) MBuildPulldownMenu (menubar, "File", 'F', file_items);
	
	form=XtVaCreateWidget ("Form",
		xmFormWidgetClass, main_w,
		NULL);
	

	rcform = XtVaCreateWidget ("Form",
		xmFormWidgetClass, form,
		XmNleftAttachment, XmATTACH_FORM,
		XmNbottomAttachment, XmATTACH_FORM,
		NULL);


	n = 0;
	XtSetArg (args[n], XmNtopAttachment, XmATTACH_FORM);		n++;
	XtSetArg (args[n], XmNtopOffset,	20);					n++;
	XtSetArg (args[n], XmNleftAttachment, XmATTACH_FORM);		n++;
	XtSetArg (args[n], XmNleftOffset, 10);						n++;

	pixelLabel = XmCreateLabel (rcform, "Pixel", args, n);
	XtManageChild (pixelLabel);

	n=0;
	XtSetArg (args[n], XmNtopAttachment, XmATTACH_FORM);	   n++;
	XtSetArg (args[n], XmNtopOffset, 20);					   n++;
	XtSetArg(args[n], XmNleftAttachment,    XmATTACH_WIDGET);  n++;
	XtSetArg(args[n], XmNleftWidget,        pixelLabel);       n++;
	XtSetArg(args[n], XmNeditable,          False);            n++;
	XtSetArg(args[n], XmNcursorPositionVisible, False);        n++;
	XtSetArg(args[n], XmNcolumns,           12);               n++;
	XtSetArg(args[n], XmNmarginHeight,      1);                n++;
	XtSetArg(args[n], XmNshadowThickness,   2);                n++;
	XtSetArg (args[n], XmNbottomAttachment, XmATTACH_FORM);		n++;
	XtSetArg (args[n], XmNbottomOffset, 10);					n++;

	pixelValue = XmCreateTextField(rcform, "pixelValue", args, n);
	XtManageChild (pixelValue);

	w_special[PIXELVALUE_W]=pixelValue;

	n = 0;
	XtSetArg (args[n], XmNtopAttachment, XmATTACH_FORM);       n++;
	XtSetArg (args[n], XmNtopOffset, 20);                      n++;
	XtSetArg(args[n], XmNleftAttachment,    XmATTACH_WIDGET);  n++;
	XtSetArg(args[n], XmNleftWidget,	pixelValue);		   n++;
	XtSetArg(args[n], XmNleftOffset, 30); n++;
	XtSetArg (args[n], XmNbottomAttachment, XmATTACH_FORM);     n++;
	XtSetArg (args[n], XmNbottomOffset, 10);					n++;

	rgbLabel = XmCreateLabel (rcform, "RGB",args, n);
	XtManageChild (rgbLabel);


	n = 0;
	XtSetArg (args[n], XmNtopAttachment, XmATTACH_FORM);       n++;
	XtSetArg (args[n], XmNtopOffset, 20);                      n++;
	XtSetArg(args[n], XmNleftAttachment,    XmATTACH_WIDGET);  n++;
	XtSetArg(args[n], XmNleftWidget,    rgbLabel); n++;
	XtSetArg(args[n], XmNcursorPositionVisible, False); n++;
	XtSetArg(args[n], XmNcolumns,          12); n++;
	XtSetArg(args[n], XmNmarginHeight,     1);                  n++;
	XtSetArg(args[n], XmNshadowThickness,  2);                  n++;
	XtSetArg(args[n], XmNbottomAttachment, XmATTACH_FORM); n++;
	XtSetArg (args[n], XmNbottomOffset, 10);					n++;
	rgbValue = XmCreateTextField(rcform, "rgbValue", args, n);
	XtManageChild (rgbValue);
	
	w_special[RGBVALUE_W] = rgbValue;

	redraw = XtVaCreateManagedWidget ("reDraw",
		xmPushButtonWidgetClass, rcform,
		XmNleftAttachment, XmATTACH_WIDGET,
		XmNleftWidget,      rgbValue,
		XmNleftOffset, 20,
		XmNbottomAttachment,  XmATTACH_FORM,
		XmNbottomOffset, 10,
		XmNwidth, 70,
		NULL);

XtAddCallback (redraw, 
	XmNactivateCallback,
	(XtCallbackProc) Redraw,
	NULL);

	about = XtVaCreateManagedWidget ("About",
		xmPushButtonWidgetClass, rcform,
		XmNleftAttachment, XmATTACH_WIDGET,
		XmNleftWidget,     redraw,
		XmNleftOffset,      30,
		XmNbottomAttachment,  XmATTACH_FORM,
		XmNbottomOffset, 10,
		XmNwidth, 70,
		NULL);

XtAddCallback(about, XmNactivateCallback, Version_Show, NULL);

	n = 0;
	scrollw=XmCreateScrolledWindow (form,"Scrolled_w",
		args,n);
	XtVaSetValues (scrollw,
		XmNtopAttachment, XmATTACH_FORM,
		XmNbottomAttachment, XmATTACH_WIDGET,
		XmNbottomWidget, rcform,
		XmNwidth, 512,
		XmNheight,512,
		NULL);

	drawinga=XtVaCreateManagedWidget ("drawingArea",
		xmDrawingAreaWidgetClass, scrollw,
		XmNresizePolicy, XmRESIZE_ANY,
		XmNwidth, 512,
		XmNheight, 512,
		NULL);
	GdrawingaW= drawinga;


    XSetErrorHandler (XError);

	resize_backpix(512,512);

	XtManageChild(menubar);
	XtManageChild(form);
	XtManageChild (rcform);
	XtManageChild (scrollw);
	XtRealizeWidget (toplevel);
	DrawRGBCube();
	XtAppMainLoop (app);
}
