#ifndef MXCMAP_H
#define MXCMAP_H

#if __STDC__ || defined(sgi) || defined(_AIX)
#define _D(formal_parameters) formal_parameters
#else
#define const
#define _D(forma_parameters) ()
#endif  /* __STDC__ */

#ifndef MAIN
#define EXTERN extern
#else
#define EXTERN
#endif

    EXTERN Display          *display_h;
    EXTERN Colormap         colormap_h;
    EXTERN GC               gc_h;
    EXTERN GC               rubberGC;
    EXTERN int              screen_h;
    EXTERN XEvent           event_h;
    EXTERN int              screen_h, dispcells_h;
    EXTERN int              depth_h;
    EXTERN unsigned long    fcol_h, bcol_h;
    EXTERN Visual           *visual_h;
	EXTERN XImage			*image;

#define START						0
#define TOPLEVEL_W					START+1
#define RGBVALUE_W					START+2
#define PIXELVALUE_W				START+3 

#define WIDGETEND					PIXELVALUE_W

#define NUM_WIDGETS					WIDGETEND+1

EXTERN Widget           w_special[NUM_WIDGETS];
EXTERN Widget
    GdrawingaW;

void
    Redisplay _D ((Widget, XtPointer, XmDrawingAreaCallbackStruct *));

void Version_Show _D ((Widget, XtPointer, XtPointer));

void
    my_event_handler _D ((Widget, XtPointer, XEvent *));

void
    resize_backpix _D ((int, int));

void
    refresh_from_backpix _D ((Window, int, int, int, int));

void
    Redraw _D ((Widget, XtPointer, XtPointer));

int
    XError _D ((Display *, XErrorEvent *));

void
    DrawRGBCube _D ((void));

void 
    QuitCB _D ((Widget, XtPointer, XtPointer));

unsigned int
    AllocateColor _D ((Display *, Colormap, int, int, int));

void
    BestPixel _D ((Display *, Colormap, XColor *, unsigned int,
        XColor *));

Widget
    GetTopShell _D ((Widget));

#endif  /* MXCMAP */
